/******************************************************************************/
/*                                                                            */
/* (C) Copyright IBM Corp. 2001                 */
/*                                                                            */
/* This program is free software;  you can redistribute it and/or modify      */
/* it under the terms of the GNU General Public License as published by       */
/* the Free Software Foundation; either version 2 of the License, or          */
/* (at your option) any later version.                                        */
/*                                                                            */
/* This program is distributed in the hope that it will be useful, but        */
/* WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY */
/* or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License   */
/* for more details.                                                          */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program;  if not, write to the Free Software		          */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA    */
/*									                                          */
/******************************************************************************/
/*
 * File:        crack_check.c
 *
 * Description: A program that check the security of a password, such that
 *              it cannot be guessed easily. 
 *
 * Author:      Manoj Iyer manjo@mail.utexas.edu
 *
 * History:     Mar 18 2003 - Created - Manoj Iyer
 */

#include <crack.h>                /* Definitions for cracklib functions */
#include <stdlib.h>               /* Definitions for exit()             */

/*
 * Function:    main
 *
 * Description: - Entry point to this program. 
 *              - takes the password and path to the password dictionary files.
 *              - calls the FascistCheck function that will perform.
 *                the password sanity check.
 *
 * Input:       <password>  - password that need to checked for sanity.
 *              <dict path> - path to the password dictionary files.
 *
 * Output:      The program prints the following to stdout:
 *
 * Exit:        0 - in case the password is good 
 *              1 - in case the password is bad
 *              2 - in case the usage of this command is wrong.
 *              
 */
int
main(int   argc,
     char *argv[])
{

	/* expect two arguments, password and path. */
    if (argc < 2)
    {
        exit(2);
    }

	exit(((FascistCheck(argv[1], argv[2])) != NULL) ? 1 : 0);
}
